Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::Reader Class Reference

リーダ More...

`#include <Reader.h>`

Inheritance diagram for Lamp::Reader:

List of all members.

## Public Member Functions
bool | isEnd ()
| 終端かどうか
void | readBytes (void *data, int size)
| バイトデータの読み出し
int | getSize ()
| サイズの取得
void | skip (int size)
| スキップ
int | align (int size)
| アライメントを取る
int | getPosition ()
| 読み込み位置の取得
void | setPosition (int position)
| 読み込み位置の設定
virtual Reader * | cloneReader ()=0
| リーダの複製
## Protected Member Functions
| Reader ()
| コンストラクタ
virtual | ~Reader ()
| デストラクタ
## Protected Attributes
InputStream * | stream_
| 入力ストリーム

## Detailed Description

リーダ

データ読み込みのインターフェース

Definition at line 38 of file Reader.h.

## Member Function Documentation

int Lamp::Reader::align | ( | int | size | ) | `[inline]`

  | アライメントを取る 指定されたバイト数のアライメントまで読み込み位置をずらします。 Parameters:
  size | アライメントをとるバイト数
Returns: ずらしたバイト数 Definition at line 86 of file Reader.h. References Lamp::InputStream::align(), Assert, NULL, and stream_. Referenced by Lamp::BinarySceneLoader::align(), and Lamp::BinaryAnimationLoader::align().

virtual Reader* Lamp::Reader::cloneReader | ( |  | ) | `[pure virtual]`

| リーダの複製 Returns: 複製されたリーダ Implemented in Lamp::BinaryReader, and Lamp::TextReader.

int Lamp::Reader::getPosition | ( |  | ) | `[inline]`

| 読み込み位置の取得 Returns: 読み込み位置 Definition at line 95 of file Reader.h. References Assert, Lamp::InputStream::getPosition(), NULL, and stream_. Referenced by Lamp::BinarySceneLoader::load(), Lamp::BinaryAnimationLoader::load(), Lamp::BinaryAnimationLoader::readAnimationSetLink(), Lamp::BinarySceneLoader::readBasicMaterialLink(), Lamp::BinaryAnimationLoader::readCameraAnimationLink(), Lamp::BinaryAnimationLoader::readCharacterModelAnimationLink(), Lamp::BinarySceneLoader::readHeader(), Lamp::BinarySceneLoader::readLightList(), Lamp::TextReader::readLine(), Lamp::BinarySceneLoader::readMaterialLinkList(), Lamp::BinarySceneLoader::readMaterialList(), Lamp::BinarySceneLoader::readMeshDataList(), Lamp::BinarySceneLoader::readMeshLink(), Lamp::BinarySceneLoader::readMeshLinkList(), Lamp::BinarySceneLoader::readMeshList(), Lamp::BinarySceneLoader::readModelLink(), Lamp::BinarySceneLoader::readModelLinkList(), Lamp::BinarySceneLoader::readModelList(), Lamp::BinarySceneLoader::readPictureList(), Lamp::BinaryAnimationLoader::readRotationInterpolator(), Lamp::BinaryAnimationLoader::readSceneNodeAnimationLink(), Lamp::BinarySceneLoader::readSceneNodeLink(), Lamp::BinarySceneLoader::readSceneNodeLinkList(), Lamp::BinarySceneLoader::readSceneNodeList(), Lamp::BinarySceneLoader::readTextureLink(), Lamp::BinarySceneLoader::readTextureLinkList(), Lamp::BinarySceneLoader::readTextureList(), and Lamp::BinaryAnimationLoader::readVectorInterpolator().

int Lamp::Reader::getSize | ( |  | ) | `[inline]`

| サイズの取得 Returns: 読み込めるバイト数 Definition at line 63 of file Reader.h. References Assert, Lamp::InputStream::getSize(), NULL, and stream_. Referenced by Lamp::BinarySceneLoader::load(), and Lamp::TextReader::readLine().

bool Lamp::Reader::isEnd | ( |  | ) | `[inline]`

| 終端かどうか Returns: trueなら終端 Definition at line 44 of file Reader.h. References Assert, Lamp::InputStream::isEnd(), NULL, and stream_. Referenced by Lamp::SceneFilter::filter(), Lamp::SoundList::load(), Lamp::BinarySceneLoader::load(), Lamp::BinaryAnimationLoader::load(), Lamp::BinarySceneLoader::readLightList(), Lamp::BinarySceneLoader::readMaterialLinkList(), Lamp::BinarySceneLoader::readMaterialList(), Lamp::BinarySceneLoader::readMeshDataList(), Lamp::BinarySceneLoader::readMeshLinkList(), Lamp::BinarySceneLoader::readMeshList(), Lamp::BinarySceneLoader::readModelLinkList(), Lamp::BinarySceneLoader::readModelList(), Lamp::BinarySceneLoader::readPictureList(), Lamp::BinarySceneLoader::readSceneNodeLinkList(), Lamp::BinarySceneLoader::readSceneNodeList(), Lamp::BinarySceneLoader::readTextureLinkList(), Lamp::BinarySceneLoader::readTextureList(), and Lamp::BufferedInput::run().

void Lamp::Reader::readBytes | ( | void * | data,
|  | int | size
| ) | `[inline]`

  | バイトデータの読み出し Parameters:
  data | 読み出し先アドレス
  size | 読み出すサイズ
Definition at line 54 of file Reader.h. References Assert, NULL, Lamp::InputStream::readBytes(), and stream_. Referenced by Lamp::TargaLoader::loadImage(), Lamp::BinaryReader::readArray(), Lamp::BinarySceneLoader::readAxisAlignedBox(), Lamp::BinaryReader::readBool(), Lamp::BinaryReader::readChar(), Lamp::BinarySceneLoader::readColor3c(), Lamp::BinarySceneLoader::readColor3f(), Lamp::BinarySceneLoader::readColor4c(), Lamp::BinarySceneLoader::readColor4f(), Lamp::BinaryReader::readDouble(), Lamp::BinaryReader::readFloat(), Lamp::BinarySceneLoader::readID(), Lamp::BinaryReader::readInt(), Lamp::TextReader::readLine(), Lamp::BinarySceneLoader::readMatrix34(), Lamp::BinarySceneLoader::readMeshData(), Lamp::BinaryAnimationLoader::readQuaternion(), Lamp::BinaryReader::readShort(), Lamp::BinarySceneLoader::readSphere(), Lamp::BinarySceneLoader::readString(), Lamp::BinaryReader::readString(), Lamp::BinaryAnimationLoader::readString(), Lamp::BinarySceneLoader::readTexCoord2(), Lamp::BinaryReader::readUChar(), Lamp::BinaryReader::readUInt(), Lamp::BinaryReader::readUShort(), Lamp::BinarySceneLoader::readVector3(), and Lamp::BinaryAnimationLoader::readVector3().

void Lamp::Reader::setPosition | ( | int | position | ) | `[inline]`

  | 読み込み位置の設定 指定された位置に読み込み位置を変更します。 Parameters:
  position | 読み込み位置
Definition at line 106 of file Reader.h. References Assert, NULL, Lamp::InputStream::setPosition(), and stream_. Referenced by Lamp::TextReader::readLine().

void Lamp::Reader::skip | ( | int | size | ) | `[inline]`

  | スキップ 指定されたバイト数読み飛ばします。 Parameters:
  size | 読み飛ばすバイト数
Definition at line 74 of file Reader.h. References Assert, NULL, Lamp::InputStream::skip(), and stream_. Referenced by Lamp::BinarySceneLoader::load(), Lamp::BinaryAnimationLoader::load(), Lamp::BinarySceneLoader::readLightList(), Lamp::BinarySceneLoader::readMaterialLinkList(), Lamp::BinarySceneLoader::readMaterialList(), Lamp::BinarySceneLoader::readMeshList(), Lamp::BinarySceneLoader::readModelList(), Lamp::BinarySceneLoader::readSceneNodeList(), and Lamp::BinarySceneLoader::readTextureList().

The documentation for this class was generated from the following file:

- Reader.h